Bug 989150 - Unar Can't get cString from Unicode string
Unar Can't get cString from Unicode string
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: unar (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-27 18:59 EDT by Neil
Modified: 2014-08-19 17:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-19 17:02:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil 2013-07-27 18:59:05 EDT
unar: Uncaught exception NSCharacterConversionException, reason: Can't get cString from Unicode string

;_;
Comment 1 NM 2013-12-28 16:42:50 EST
I am observing the same.
Comment 2 Rahul Sundaram 2013-12-28 18:47:21 EST
Can I get the steps to reproduce this?
Comment 3 NM 2013-12-28 22:01:18 EST
I just typed: unar filename.rar
Comment 4 Neil 2013-12-29 21:51:42 EST
(In reply to NM from comment #3)
> I just typed: unar filename.rar


NM, Can you tell me if you have Japanese/Korean/Chinese characters on your rar file? If I can remember when I did this bug thread, I was able to uncompress my normal files, without "rare" characters for unar.

(In reply to NM from comment #1)
> I am observing the same.

Try to uncompress a rar file with something Japanese material.
Comment 5 Neil 2013-12-29 21:52:53 EST
 (In reply to Rahul Sundaram from comment #2)
> Can I get the steps to reproduce this?

sorry, I the second reply was for you.
Comment 6 NM 2013-12-29 22:36:47 EST
I will be surprised. However, indeed sometime it does work without problems.... Perhaps my file is corrupted ?
Comment 7 Rahul Sundaram 2013-12-29 23:51:59 EST
If either of you can get a public RAR file which can you reproduce this problem or you can upload one of your own (no private info please), it would be helpful.  Meanwhile I have built the latest version of unar for Rawhide (Fedora 21), 20 and 19 and I would recommend testing with the latest version.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6341699

If this resolves the problem, I will mark this bug as fixed against the latest update when I file it.  Thanks for testing!

Note You need to log in before you can comment on or make changes to this bug.